]> git.pld-linux.org Git - packages/php.git/commitdiff
Updated URL, more versioned Obsoletes
authorJakub Bogusz <qboosh@pld-linux.org>
Sun, 25 Sep 2022 17:47:55 +0000 (19:47 +0200)
committerElan Ruusamäe <glen@pld-linux.org>
Thu, 29 Sep 2022 15:19:54 +0000 (18:19 +0300)
Cherry picked 7940efe7d66c39fbdf739188ffaab64f3fd19559

Co-authored-by: Elan Ruusamäe <glen@pld-linux.org>
php.spec

index 0a37f10c7c8ddb22103a13d0ff4339284b517373..9864cfe1fb3998199e498a07eb5301019f4369dd 100644 (file)
--- a/php.spec
+++ b/php.spec
@@ -201,7 +201,7 @@ Patch67:    mysql-lib-ver-mismatch.patch
 Patch68:       php-mysql-ssl-context.patch
 Patch71:       libdb-info.patch
 Patch72:       openssl.patch
-URL:           http://php.net/
+URL:           https://www.php.net/
 %{?with_pdo_firebird:%{!?with_interbase_inst:BuildRequires:    Firebird-devel >= 1.0.2.908-2}}
 %{?with_pspell:BuildRequires:  aspell-devel >= 2:0.50.0}
 BuildRequires: autoconf >= 2.59
@@ -461,18 +461,18 @@ Summary(pl.UTF-8):        Dowiązanie symboliczne /usr/bin/php
 Group:         Development/Languages/PHP
 Requires:      %{name}-cli = %{epoch}:%{version}-%{release}
 Obsoletes:     php-program < 4:5.3.28-7
-Obsoletes:     php4-program
-Obsoletes:     php52-program
-Obsoletes:     php53-program
-Obsoletes:     php54-program
-Obsoletes:     php55-program
-Obsoletes:     php56-program
-Obsoletes:     php70-program
-Obsoletes:     php71-program
-Obsoletes:     php72-program
-Obsoletes:     php73-program
-Obsoletes:     php74-program
-Obsoletes:     php81-program
+Obsoletes:     php4-program < 3:5
+Obsoletes:     php52-program < 4:5.3
+Obsoletes:     php53-program < 4:5.4
+Obsoletes:     php54-program < 4:5.5
+Obsoletes:     php55-program < 4:5.6
+Obsoletes:     php56-program < 4:7
+Obsoletes:     php70-program < 4:7.1
+Obsoletes:     php71-program < 4:7.2
+Obsoletes:     php72-program < 4:7.3
+Obsoletes:     php73-program < 4:7.4
+Obsoletes:     php74-program < 4:8
+Obsoletes:     php81-program < 4:8.2
 
 %description program
 Package providing /usr/bin/php symlink to PHP CLI.
@@ -620,18 +620,19 @@ Requires: pcre2-8-devel >= 10.30
 Requires:      shtool
 Provides:      php-devel = %{epoch}:%{version}-%{release}
 Obsoletes:     php-devel
-Obsoletes:     php-pear-devel
-Obsoletes:     php4-devel
-Obsoletes:     php52-devel
-Obsoletes:     php53-devel
-Obsoletes:     php54-devel
-Obsoletes:     php55-devel
-Obsoletes:     php56-devel
-Obsoletes:     php70-devel
-Obsoletes:     php71-devel
-Obsoletes:     php73-devel
-Obsoletes:     php74-devel
-Obsoletes:     php81-devel
+Obsoletes:     php-pear-devel < 3:4.3.0-1
+Obsoletes:     php4-devel < 3:5
+Obsoletes:     php52-devel < 4:5.3
+Obsoletes:     php53-devel < 4:5.4
+Obsoletes:     php54-devel < 4:5.5
+Obsoletes:     php55-devel < 4:5.6
+Obsoletes:     php56-devel < 4:7
+Obsoletes:     php70-devel < 4:7.1
+Obsoletes:     php71-devel < 4:7.2
+Obsoletes:     php72-devel < 4:7.3
+Obsoletes:     php73-devel < 4:7.4
+Obsoletes:     php74-devel < 4:8
+Obsoletes:     php81-devel < 4:8.2
 
 %description devel
 The php-devel package lets you compile dynamic extensions to PHP.
@@ -890,7 +891,7 @@ Requires:   %{name}-common = %{epoch}:%{version}-%{release}
 Requires:      %{name}-pcre = %{epoch}:%{version}-%{release}
 Provides:      php(filter)
 Obsoletes:     php-filter < 4:5.3.28-7
-Obsoletes:     php-pecl-filter
+Obsoletes:     php-pecl-filter < 0.12
 
 %description filter
 We all know that you should always check input variables, but PHP does
@@ -1262,7 +1263,7 @@ Requires: %{name}-spl = %{epoch}:%{version}-%{release}
 Provides:      %{name}(PDO_API) = %{php_pdo_api_version}
 Provides:      php(pdo)
 Obsoletes:     php-pdo < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO
+Obsoletes:     php-pecl-PDO < 1.1
 
 %description pdo
 This is a dynamic shared object (DSO) for PHP that will add PDO
@@ -1299,7 +1300,7 @@ Requires: %{name}-pdo = %{epoch}:%{version}-%{release}
 Provides:      php(pdo-firebird)
 Provides:      php(pdo_firebird)
 Obsoletes:     php-pdo-firebird < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO_FIREBIRD
+Obsoletes:     php-pecl-PDO_FIREBIRD < 0.3
 
 %description pdo-firebird
 This is a dynamic shared object (DSO) for PHP that will add PDO
@@ -1320,7 +1321,7 @@ Requires: %{name}-pdo = %{epoch}:%{version}-%{release}
 Provides:      php(pdo-mysql)
 Provides:      php(pdo_mysql)
 Obsoletes:     php-pdo-mysql < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO_MYSQL
+Obsoletes:     php-pecl-PDO_MYSQL < 1.1
 
 %description pdo-mysql
 This is a dynamic shared object (DSO) for PHP that will add PDO MySQL
@@ -1340,7 +1341,7 @@ URL:              http://php.net/manual/en/ref.pdo-oci.php
 Provides:      php(pdo-oci)
 Provides:      php(pdo_oci)
 Obsoletes:     php-pdo-oci < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO_OCI
+Obsoletes:     php-pecl-PDO_OCI < 1.1
 
 %description pdo-oci
 This is a dynamic shared object (DSO) for PHP that will add PDO Oracle
@@ -1360,7 +1361,7 @@ Requires: %{name}-pdo = %{epoch}:%{version}-%{release}
 Provides:      php(pdo-odbc)
 Provides:      php(pdo_odbc)
 Obsoletes:     php-pdo-odbc < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO_ODBC
+Obsoletes:     php-pecl-PDO_ODBC < 1.1
 
 %description pdo-odbc
 This is a dynamic shared object (DSO) for PHP that will add PDO ODBC
@@ -1400,7 +1401,7 @@ Requires: %{name}-pdo = %{epoch}:%{version}-%{release}
 Provides:      php(pdo-sqlite)
 Provides:      php(pdo_sqlite)
 Obsoletes:     php-pdo-sqlite < 4:5.3.28-7
-Obsoletes:     php-pecl-PDO_SQLITE
+Obsoletes:     php-pecl-PDO_SQLITE < 1.1
 
 %description pdo-sqlite
 This is a dynamic shared object (DSO) for PHP that will add PDO SQLite
@@ -1789,7 +1790,7 @@ Group:            Libraries
 URL:           http://php.net/manual/en/book.xmlwriter.php
 Requires:      %{name}-common = %{epoch}:%{version}-%{release}
 Provides:      php(xmlwriter)
-Obsoletes:     php-pecl-xmlwriter
+Obsoletes:     php-pecl-xmlwriter < 2.1
 Obsoletes:     php-xmlwriter < 4:5.3.28-7
 
 %description xmlwriter
This page took 0.08819 seconds and 4 git commands to generate.